Hitachi Vantara Pentaho Community Forums
Results 1 to 3 of 3

Thread: Plug-in deployment issues for PDI 4.1.0 GA under Linux and JDK 1.6u24

  1. #1
    Hristo Guest

    Default Plug-in deployment issues for PDI 4.1.0 GA under Linux and JDK 1.6u24

    Hi all,
    I am trying to deploy a custom developed plug-in under for PDI 4.1.0 GA
    under Linux and Windows (both with JDK1.6u24). The plug -in is made with
    annotations only, no XML descriptors. I put it under the *plugins *folder in
    the PDI distribution. Under Windows, everything is fine - the transformation
    works and finds the plug-in. Under Linux the transformations fails with
    class not found exceptions (see logs below):

    I think this is a regression in 4.1.0 , because in 4.0.1 the same plug-in
    works in both Linux and Windows.

    Any clue on how to troubleshoot this one?

    Thanks you in advance...

    ==========================
    2011/03/03 13:56:23 - ws - Opening transformation:
    [file:///apps/dash/ftp/raytheon-pdi-transformations/gms/ws.ktr]
    2011/03/03 13:56:23 - ws - Loading transformation from XML file
    [file:///apps/dash/ftp/raytheon-pdi-transformations/gms/ws.ktr]
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.core.exception.KettleException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    metadata load
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.entries.trans.JobEntryTrans.getTransMeta(JobEntryTrans.java:1142)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.entries.trans.JobEntryTrans.execute(JobEntryTrans.java:594)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:471)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:600)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:600)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:344)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : org.pentaho.di.job.Job.run(Job.java:282)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.core.exception.KettleException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    entry [ws.0]
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    metadata load
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:605)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:600)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:344)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : org.pentaho.di.job.Job.run(Job.java:282)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : A serious error occurred during job
    execution:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    entry [set variables.0]
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    entry [ws.0]
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    metadata load
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.core.exception.KettleException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    entry [set variables.0]
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    entry [ws.0]
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    metadata load
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    id [dih_programs]. Check if the plugin is available in the plugins
    subdirectory of the Kettle distribution.
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:605)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) :
    org.pentaho.di.job.Job.execute(Job.java:344)
    2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    2010-11-16 16.43.28 by buildguy) : org.pentaho.di.job.Job.run(Job.java:282)
    2011/03/03 13:56:23 - Kitchen - Finished!
    2011/03/03 13:56:23 - Kitchen - ERROR (version 4.1.0-stable, build 14410
    from 2010-11-16 16.43.28 by buildguy) : Finished with errors
    2011/03/03 13:56:23 - Kitchen - Start=2011/03/03 13:56:23.243,
    Stop=2011/03/03 13:56:23.518
    2011/03/03 13:56:23 - Kitchen - Processing ended after 0 seconds.

    --
    You received this message because you are subscribed to the Google Groups "kettle-developers" group.
    To post to this group, send email to kettle-developers (AT) googlegroups (DOT) com.
    To unsubscribe from this group, send email to kettle-developers+unsubscribe (AT) g...oups (DOT) com.
    For more options, visit this group at http://groups.google.com/group/kettle-developers?hl=en.

  2. #2
    Matt Casters Guest

    Default Re: Plug-in deployment issues for PDI 4.1.0 GA under Linux and JDK1.6 u24

    The class gets picked up by static bytecode analyses. However, the JRE
    class loader needs to have its say as well.
    If there's anything the class loader doesn't like about the jar file like
    file permissions, compiled version and so on, it will throw the error you're
    seeing.

    So try to throw it in a subfolder of the plugins/step directory somewhere
    and see what happens.

    Matt

    2011/3/5 Hristo <hr.stoyanov (AT) gmail (DOT) com>

    > Hi all,
    > I am trying to deploy a custom developed plug-in under for PDI 4.1.0 GA
    > under Linux and Windows (both with JDK1.6u24). The plug -in is made with
    > annotations only, no XML descriptors. I put it under the *plugins *folder
    > in the PDI distribution. Under Windows, everything is fine - the
    > transformation works and finds the plug-in. Under Linux the transformations
    > fails with class not found exceptions (see logs below):
    >
    > I think this is a regression in 4.1.0 , because in 4.0.1 the same plug-in
    > works in both Linux and Windows.
    >
    > Any clue on how to troubleshoot this one?
    >
    > Thanks you in advance...
    >
    > ==========================
    > 2011/03/03 13:56:23 - ws - Opening transformation:
    > [file:///apps/dash/ftp/raytheon-pdi-transformations/gms/ws.ktr]
    > 2011/03/03 13:56:23 - ws - Loading transformation from XML file
    > [file:///apps/dash/ftp/raytheon-pdi-transformations/gms/ws.ktr]
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.core.exception.KettleException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    > metadata load
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    > nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.entries.trans.JobEntryTrans.getTransMeta(JobEntryTrans.java:1142)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.entries.trans.JobEntryTrans.execute(JobEntryTrans.java:594)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:471)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:600)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:600)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:344)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : org.pentaho.di.job.Job.run(Job.java:282)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.core.exception.KettleException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    > entry [ws.0]
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    > metadata load
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    > nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:605)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:600)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:344)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : org.pentaho.di.job.Job.run(Job.java:282)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : A serious error occurred during job
    > execution:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    > entry [set variables.0]
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    > entry [ws.0]
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    > metadata load
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    > nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.core.exception.KettleException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    > entry [set variables.0]
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error occurred while launching
    > entry [ws.0]
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unexpected error during transformation
    > metadata load
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Error reading object from XML file
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load step info from XML step
    > nodeorg.pentaho.di.core.exception.KettleStepLoaderException:
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : Unable to load class for step/plugin with
    > id [dih_programs]. Check if the plugin is available in the plugins
    > subdirectory of the Kettle distribution.
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:605)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) :
    > org.pentaho.di.job.Job.execute(Job.java:344)
    > 2011/03/03 13:56:23 - gms - ERROR (version 4.1.0-stable, build 14410 from
    > 2010-11-16 16.43.28 by buildguy) : org.pentaho.di.job.Job.run(Job.java:282)
    > 2011/03/03 13:56:23 - Kitchen - Finished!
    > 2011/03/03 13:56:23 - Kitchen - ERROR (version 4.1.0-stable, build 14410
    > from 2010-11-16 16.43.28 by buildguy) : Finished with errors
    > 2011/03/03 13:56:23 - Kitchen - Start=2011/03/03 13:56:23.243,
    > Stop=2011/03/03 13:56:23.518
    > 2011/03/03 13:56:23 - Kitchen - Processing ended after 0 seconds.
    >
    > --
    > You received this message because you are subscribed to the Google Groups
    > "kettle-developers" group.
    > To post to this group, send email to kettle-developers (AT) googlegroups (DOT) com.
    > To unsubscribe from this group, send email to
    > kettle-developers+unsubscribe (AT) g...oups (DOT) com.
    > For more options, visit this group at
    > http://groups.google.com/group/kettle-developers?hl=en.
    >




    --
    Matt Casters <mcasters (AT) pentaho (DOT) org>
    Chief Data Integration, Kettle founder, Author of Pentaho Kettle
    Solutions<http://www.amazon.com/Pentaho-Kettle-Solutions-Building-Integration/dp/0470635177>
    (Wiley <http://eu.wiley.com/WileyCDA/WileyTitle/productCd-0470635177.html>)
    Fonteinstraat 70, 9400 OKEGEM - Belgium - Cell : +32 486 97 29 37
    Pentaho : The Commercial Open Source Alternative for Business Intelligence

    --
    You received this message because you are subscribed to the Google Groups "kettle-developers" group.
    To post to this group, send email to kettle-developers (AT) googlegroups (DOT) com.
    To unsubscribe from this group, send email to kettle-developers+unsubscribe (AT) g...oups (DOT) com.
    For more options, visit this group at http://groups.google.com/group/kettle-developers?hl=en.

  3. #3
    Matt Casters Guest

    Default Re: Plug-in deployment issues for PDI 4.1.0 GA under Linux and JDK1.6 u24

    Your post raises more questions than it answers.
    Most likely you are using a had JRE on Linux or something like that.
    And I don't even know what version 3.2 has got to do with anything.

    So yes indeed, in fact I do mind people sending me direct mails very
    much. File a JIRA case instead.

    Cheers,
    Matt

    2011/3/8 Hristo <hr.stoyanov (AT) gmail (DOT) com>

    > Thanks Matt,
    > I agree with the reasons for failing classloading you mentioned and put the
    > plug-in the *plugings/steps* folder. No luck. Here are the facts again:
    > - It uses JDK1.6u24, so no class incompatibility is possible.
    > - The plug-in works under WIndows PDI 4.1.0 GA, but fails under Linux PDI
    > 4.1.0
    > - The plug-in works under both Windows PDI 4.0.1 and Linux 4.0.1
    > - It used to work under PDI 3.2.x under both, but I do not have them around
    > to test
    >
    > So, I am forced to downgrade to PDI 4.0.1 as temporary remedy ...thinking
    > this is a bug in 4.1.0 Linux
    >
    > Do you mind if I send you the plug-in by email and you try it? It should be
    > very quick test for you.
    >
    > Thanks you in advance!
    >
    > --
    > You received this message because you are subscribed to the Google Groups
    > "kettle-developers" group.
    > To post to this group, send email to kettle-developers (AT) googlegroups (DOT) com.
    > To unsubscribe from this group, send email to
    > kettle-developers+unsubscribe (AT) g...oups (DOT) com.
    > For more options, visit this group at
    > http://groups.google.com/group/kettle-developers?hl=en.
    >




    --
    Matt Casters <mcasters (AT) pentaho (DOT) org>
    Chief Data Integration, Kettle founder, Author of Pentaho Kettle
    Solutions<http://www.amazon.com/Pentaho-Kettle-Solutions-Building-Integration/dp/0470635177>
    (Wiley <http://eu.wiley.com/WileyCDA/WileyTitle/productCd-0470635177.html>)
    Fonteinstraat 70, 9400 OKEGEM - Belgium - Cell : +32 486 97 29 37
    Pentaho : The Commercial Open Source Alternative for Business Intelligence

    --
    You received this message because you are subscribed to the Google Groups "kettle-developers" group.
    To post to this group, send email to kettle-developers (AT) googlegroups (DOT) com.
    To unsubscribe from this group, send email to kettle-developers+unsubscribe (AT) g...oups (DOT) com.
    For more options, visit this group at http://groups.google.com/group/kettle-developers?hl=en.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.